commit:     18c1a81b846541f7b676cd68db30390c555f23b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 06:13:39 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 06:13:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c1a81b

dev-python/frozendict: Bump to 2.3.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/frozendict/Manifest                |  1 +
 dev-python/frozendict/frozendict-2.3.6.ebuild | 38 +++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 4bdae1f6bc76..291455434320 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1 +1,2 @@
 DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 
8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0
 SHA512 
9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d
+DIST frozendict-2.3.6.gh.tar.gz 309471 BLAKE2B 
1de3b0c2993243622d6f9c1058b086e3225216b6e80d0bc9b73b974ba2a1f18faa8ec97f5e1b3083e7ac4469517202fc273ec694f02e5405c5d4fc241acf9d14
 SHA512 
b57a77164f77b0f067e29377b7694ac9e4d7dbae617b649ed2018779dab5c3da27176481079386f43f3b3dc66a84cac0bd85b4b0b650072b812b3c6cffd06ba9

diff --git a/dev-python/frozendict/frozendict-2.3.6.ebuild 
b/dev-python/frozendict/frozendict-2.3.6.ebuild
new file mode 100644
index 000000000000..9548bcbf1869
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+       https://github.com/Marco-Sulla/python-frozendict/
+       https://pypi.org/project/frozendict/
+"
+SRC_URI="
+       https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+python_compile() {
+       # This prevents the build system from ignoring build failures, sigh.
+       local -x CIBUILDWHEEL=1
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       rm -rf frozendict || die
+       epytest
+}

Reply via email to